/* This file is part of Disk War, a game by Alessandro Pira */

#include <SDL/SDL.h>

unsigned char keymap[SDLK_LAST];

void init_keys()
{
	int i;
	for (i=0;i<SDLK_LAST;i++)
		keymap[i]=0;
}

/* Return 0 when quitting*/
int read_keys()
{
	int i;
	SDL_Event e;

	for (i=0;i<SDLK_LAST;i++)
		if (keymap[i]==1) keymap[i]=2;

	if (SDL_PollEvent(&e))
	{
		if (e.type==SDL_QUIT)
		{
			return 0;
		}
		else if (e.type==SDL_KEYDOWN)
		{
			if (e.key.keysym.sym==SDLK_ESCAPE)
			{
				return 0;
			}
			keymap[e.key.keysym.sym]=1;
		}
		else if (e.type==SDL_KEYUP)
		{
			keymap[e.key.keysym.sym]=0;
		}
	}
	return 1;
}

